{
  config,
  pkgs,
  ...
}: 

{
services.tor = {
  enable = true;
  openFirewall = true;
  relay = {
      enable = true;
      role = "relay";
    };
    controlSocket.enable = true;
    settings = {
      ORPort = 9001;
      AddressDisableIPv6 = false;
      Nickname = "apple";
      ContactInfo = "lyraiue7(at)duck.com";
      AccountingStart = "day 0:00";
      AccountingMax = "64 GBytes";
      RelayBandwidthRate = "15 MBytes";
      RelayBandwidthBurst = "20 MBytes"; # allow higher bursts but maintain average
      MaxAdvertisedBandwidth = "15 MBytes";
    };
  };
}
